Delete a node in zookeeper synchronously

- « Zookeeper::create

- Zookeeper::exists »

- PHP Manual
- Zookeeper
- Delete a node in zookeeper synchronously

# Zookeeper::delete

(PECL zookeeper >= 0.2.0)

Zookeeper::delete — Delete a node in zookeeper synchronously

### Description

public Zookeeper::delete(string `$path`, int `$version` = -1): bool

### Parameters

`path`

  The name of the node. Expressed as a file name with slashes separating ancestors of the node.

`version`

  The expected version of the node. The function will fail if the actual version of the node does not match the expected version. If -1 is used the version check will not take place.

### Return Values

Returns `true` on success or `false` on failure.

### Errors/Exceptions

This method emits PHP error/warning when parameters count or types are wrong or fail to delete node.

Caution

Since version 0.3.0, this method emits ZookeeperException and it's derivatives.

### Examples

Example #1 Zookeeper::delete() example

Delete a existing node.

    <?php
    $zookeeper = new Zookeeper('locahost:2181');
    $path = '/path/to/node';
    $r = $zookeeper->delete($path);
    if ($r)
      echo 'SUCCESS';
    else
      echo 'ERR';
    ?>

The above example will output:

    SUCCESS

### See Also

- Zookeeper::create() - Create a node synchronously
- Zookeeper::getChildren() - Lists the children of a node synchronously
- ZookeeperException